org.apache.calcite.avatica

## Class MetaImpl.MetaProcedureColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaProcedureColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaProcedureColumn
    extends Object

Metadata describing a procedure column.

### Field Summary

Fields
`Integer` `charOctetLength`
`String` `columnDef`
`String` `columnName`
`short` `columnType`
`int` `dataType`
`String` `isNullable`
`Integer` `length`
`short` `nullable`
`int` `ordinalPosition`
`Integer` `precision`
`String` `procedureCat`
`String` `procedureName`
`String` `procedureSchem`
`Short` `radix`
`String` `remarks`
`Short` `scale`
`String` `specificName`
`Integer` `sqlDataType`
`Integer` `sqlDatetimeSub`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaProcedureColumn(String procedureCat, String procedureSchem, String procedureName, String columnName, short columnType, int dataType, String typeName, Integer precision, Integer length, Short scale, Short radix, short nullable, String columnDef, Integer charOctetLength, int ordinalPosition, String isNullable, String specificName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### procedureCat

    public final String procedureCat

#### procedureSchem

    public final String procedureSchem

#### procedureName

    public final String procedureName

#### columnName

    public final String columnName

#### columnType

    public final short columnType

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### precision

    public final Integer precision

#### length

    public final Integer length

#### scale

    public final Short scale

#### radix

    public final Short radix

#### nullable

    public final short nullable

#### remarks

    public final String remarks

#### columnDef

    public final String columnDef

#### sqlDataType

    public final Integer sqlDataType

#### sqlDatetimeSub

    public final Integer sqlDatetimeSub

#### charOctetLength

    public final Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final String isNullable

#### specificName

    public final String specificName

### Constructor Detail

#### MetaImpl.MetaProcedureColumn

    public MetaImpl.MetaProcedureColumn(String procedureCat,
                                String procedureSchem,
                                String procedureName,
                                String columnName,
                                short columnType,
                                int dataType,
                                String typeName,
                                Integer precision,
                                Integer length,
                                Short scale,
                                Short radix,
                                short nullable,
                                String columnDef,
                                Integer charOctetLength,
                                int ordinalPosition,
                                String isNullable,
                                String specificName)